
QGIS Application - Bug report #13512

DBManager fail to select data from spatialite

2015-10-05 01:40 AM - Luca Lanteri

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21556

Description

When I try to do "select * from table" from a spatialite connection all fields are void. When I try to load data into canvas QGIS return this

error:

Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 79, in data

                return unicode(val, 'utf-8', 'replace') # convert from utf8 and replace errors (if any)

            TypeError: decoding Unicode is not supported

History

#1 - 2015-10-05 07:34 AM - Luca Lanteri

Same problem with Postgres.

when I launch a a query I've this error:

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 79, in data

    return unicode(val, 'utf-8', 'replace') # convert from utf8 and replace errors (if any)

TypeError: coercing to Unicode: need string or buffer, int found

#2 - 2015-10-05 08:00 AM - Salvatore Larosa

- Resolution set to invalid

- Status changed from Open to Closed

duplicate of #13508 and related to #13505

2024-04-27 1/1


